Subject: bug#41958: ps-print-buffer only knows about some fonts for MacOS Preview

From: Mattias Engdegård <[email-masked]>
Date: Sat, 20 Jun 2020 17:20:58 +0200

Is this really an error in what Emacs emits? My PostScript is incredibly rusty, but with the PS font name reported by Font Book, it seems to work for me. I wrote a .ps file by hand:

------------- start of file -------
%!
/AmericanTypewriter findfont 12 scalefont setfont
100 400 moveto
(Hello! I'm AmericanTypewriter!) show
showpage
-------------- end of file --------

and it was accepted by Preview in macOS Mojave. American-typewriter-Light worked just as well, and in both cases the correct font was used. I don't have your Hack font installed, however.